org.modeshape.jcr

## Class JcrRepository.ConfigurationChange

- java.lang.Object
- - org.modeshape.jcr.JcrRepository.ConfigurationChange

- All Implemented Interfaces:
    Editor.Observer
  Enclosing class:
    JcrRepository

      protected static class JcrRepository.ConfigurationChange
      extends Object
      implements Editor.Observer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `binaryStorageChanged`
    `protected boolean` | `extractorsChanged`
    `protected boolean` | `indexesChanged`
    `protected boolean` | `indexProvidersChanged`
    `protected boolean` | `jndiChanged`
    `protected boolean` | `largeValueChanged`
    `protected boolean` | `monitoringChanged`
    `protected boolean` | `nameChanged`
    `protected boolean` | `predefinedWorkspacesChanged`
    `protected boolean` | `securityChanged`
    `protected boolean` | `sequencingChanged`
    `protected boolean` | `storageChanged`
    `protected boolean` | `transactionMode`
    `protected boolean` | `workspacesChanged`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JcrRepository.ConfigurationChange()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addArrayValue(Path path, Array.Entry entry)` Insert the entry into the array at the given path.
    `void` | `clear(Path path)` Remove all fields from the document at the supplied path.
    `void` | `put(Path parentPath, String field, Object newValue)` Set to the given value the field in the document at the supplied path.
    `void` | `remove(Path path, String field)` Remove the field from the document at the supplied path.
    `void` | `removeArrayValue(Path path, Array.Entry entry)` Remove the entry from the array at the given path.
    `void` | `setArrayValue(Path path, Array.Entry entry)` Set the supplied entry in the array at the given path.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### securityChanged

          protected boolean securityChanged

    - #### sequencingChanged

          protected boolean sequencingChanged

    - #### extractorsChanged

          protected boolean extractorsChanged

    - #### storageChanged

          protected boolean storageChanged

    - #### binaryStorageChanged

          protected boolean binaryStorageChanged

    - #### indexProvidersChanged

          protected boolean indexProvidersChanged

    - #### indexesChanged

          protected boolean indexesChanged

    - #### workspacesChanged

          protected boolean workspacesChanged

    - #### predefinedWorkspacesChanged

          protected boolean predefinedWorkspacesChanged

    - #### jndiChanged

          protected boolean jndiChanged

    - #### transactionMode

          protected boolean transactionMode

    - #### largeValueChanged

          protected boolean largeValueChanged

    - #### nameChanged

          protected boolean nameChanged

    - #### monitoringChanged

          protected boolean monitoringChanged

  - ### Constructor Detail

    - #### JcrRepository.ConfigurationChange

          protected JcrRepository.ConfigurationChange()

  - ### Method Detail

    - #### setArrayValue

          public void setArrayValue(Path path,
                           Array.Entry entry)

      Description copied from interface: `Editor.Observer`
      Set the supplied entry in the array at the given path.
      Specified by:
        `setArrayValue` in interface `Editor.Observer`
      Parameters:
        `path` - the path within the document of the array
        `entry` - the entry containing the new value and the index

    - #### addArrayValue

          public void addArrayValue(Path path,
                           Array.Entry entry)

      Description copied from interface: `Editor.Observer`
      Insert the entry into the array at the given path.
      Specified by:
        `addArrayValue` in interface `Editor.Observer`
      Parameters:
        `path` - the path within the document of the array
        `entry` - the entry containing the new value and the index

    - #### removeArrayValue

          public void removeArrayValue(Path path,
                              Array.Entry entry)

      Description copied from interface: `Editor.Observer`
      Remove the entry from the array at the given path.
      Specified by:
        `removeArrayValue` in interface `Editor.Observer`
      Parameters:
        `path` - the path within the document of the array
        `entry` - the entry containing the new value and the index

    - #### clear

          public void clear(Path path)

      Description copied from interface: `Editor.Observer`
      Remove all fields from the document at the supplied path.
      Specified by:
        `clear` in interface `Editor.Observer`
      Parameters:
        `path` - the path to the document

    - #### put

          public void put(Path parentPath,
                 String field,
                 Object newValue)

      Description copied from interface: `Editor.Observer`
      Set to the given value the field in the document at the supplied path.
      Specified by:
        `put` in interface `Editor.Observer`
      Parameters:
        `parentPath` - the path to the parent document in which the field should be updated
        `field` - the name of the field to be updated
        `newValue` - the new value

    - #### remove

          public void remove(Path path,
                    String field)

      Description copied from interface: `Editor.Observer`
      Remove the field from the document at the supplied path.
      Specified by:
        `remove` in interface `Editor.Observer`
      Parameters:
        `path` - the path to the parent document in which the field should be removed
        `field` - the name of the field to be removed

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.